Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510469 - Slow loading times of the self service portal
Summary: Slow loading times of the self service portal
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: GA
: 5.10.0
Assignee: Gregg Tanzillo
QA Contact: Shveta
URL:
Whiteboard:
: 1510660 (view as bug list)
Depends On:
Blocks: 1512610
TreeView+ depends on / blocked
 
Reported: 2017-11-07 13:56 UTC by Gellert Kis
Modified: 2018-07-09 11:27 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1512610 (view as bug list)
Environment:
5.7.3.2
Last Closed: 2018-04-30 18:46:47 UTC
Category: Bug
Cloudforms Team: ---
niroy: needinfo+


Attachments (Terms of Use)

Comment 3 Chris Kacerguis 2017-11-07 15:21:25 UTC

*** This bug has been marked as a duplicate of bug 1499692 ***

Comment 4 Chris Kacerguis 2017-11-07 16:33:14 UTC
We spoke with the customer.  We are seeing long API loading team due to non-paginate requests.  We are looking to see what can be done to paginate the requests from the SUI.


- Need to back port paginating for requests / catalog section

(really anywhere that would load a lot of records)

Comment 5 Allen W 2017-11-07 22:18:10 UTC
Ooooo woops, shoulda updated here sooner, working this!! Yeah we have a bunch of explorers that could benefit from, uh, not requesting the firehose 😂 👩🏾‍🚒

Comment 6 Allen W 2017-11-07 22:41:05 UTC
So its nothing to see yet, but for visibility of progress and fun... https://github.com/ManageIQ/manageiq-ui-service/pull/1222

Comment 9 CFME Bot 2017-11-09 21:16:20 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/66b9078bab29ac8d6a85f9a4b9f351278132c7a5

commit 66b9078bab29ac8d6a85f9a4b9f351278132c7a5
Author:     Jason Frey <jfrey@redhat.com>
AuthorDate: Wed Nov 8 17:34:10 2017 -0500
Commit:     Jason Frey <jfrey@redhat.com>
CommitDate: Thu Nov 9 15:50:30 2017 -0500

    Direct optimization of /api/services for performance
    
    This is a HACK to optimize that particular path, but also creates an
    entrypoint for other performance improvements via preloading.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1510469

 app/controllers/api/base_controller/renderer.rb | 13 ++++++++++++-
 app/models/picture.rb                           |  2 +-
 app/models/service.rb                           |  8 ++++++--
 app/models/service_template.rb                  | 13 +++++++------
 spec/models/service_template_spec.rb            | 20 +++++---------------
 5 files changed, 31 insertions(+), 25 deletions(-)

Comment 10 Allen W 2017-11-09 21:29:12 UTC
For posterity, from our meeting today the course of action is going to be creating a patch with the above mentioned api modifications, IF these prove to not sufficiently address the issue, pagination will be implemented, but will require backporting of an api change that introduces subquery_count.

Comment 11 Gregg Tanzillo 2017-11-09 22:49:26 UTC
The PR (https://github.com/ManageIQ/manageiq/pull/16426) that improves the performance of the API used to retrieve the service list has been merged.

Please request a hotfix for this so that it can be given to the customer.

Comment 13 Chris Kacerguis 2017-11-11 01:09:10 UTC
*** Bug 1510660 has been marked as a duplicate of this bug. ***

Comment 16 Joe Rafaniello 2018-02-27 20:38:55 UTC
Allen/Gregg I'm putting this in POST, since the api change was already merged and a hotfix for that change was already made for different versions.  The still in flight changes in SUI, https://github.com/ManageIQ/manageiq-ui-service/pull/1222, have not been merged.  I'd suggest we open a new BZ for that PR and update the PR since it's too late to use this BZ for that PR.  It would be very confusing if we need to create a new hotfix for this BZ for the remaining SUI work.  That should be done in a new BZ.

Comment 17 Joe Rafaniello 2018-02-27 21:01:05 UTC
My bad, I didn't see that the merged PR is only on euwe.  At this point, I'm not quite sure what the issues are on master vs other branches.  I'm hoping someone who knows will update the titles of the BZ and open new BZ to clarify which issue is fixed and which is still outstanding.

It feels like the backend api request optimizations should be fixed in this BZ and it's clones and the SUI pagination work should be done in another BZ.  Shrug.

Comment 18 Allen W 2018-02-27 21:32:49 UTC
I guess this should be linked: https://github.com/ManageIQ/manageiq-ui-service/pull/1222
If/when we decide to move forward with pagination in euwe.... above is the pr url

Comment 20 Joe Rafaniello 2018-04-09 19:20:57 UTC
Looks like the bot accidentally moved the status to ON_DEV

Comment 21 Joe Rafaniello 2018-04-30 18:46:47 UTC
The 5.7 version of this BZ was fixed and released in 5.7.4.1 see: https://bugzilla.redhat.com/show_bug.cgi?id=1512610#c6

This issue was only reported as a problem for 5.7, not for newer versions such as master.  Because we have pagination and better api defaults for limiting the number of api results on newer versions, this should not be a problem.

Comment 22 Allen W 2018-07-09 11:27:35 UTC
Oh yeh, if I respond, and clear the need info... those emails will go away...


Note You need to log in before you can comment on or make changes to this bug.